Skip to main content
GET
Get the live job's metadata

Authorizations

x-gladia-key
string
header
required

Your personal Gladia API key

Path Parameters

id
string
required

Id of the live job

Example:

"45463597-20b7-4af7-b3b3-f5fb778203ab"

Response

The live job's metadata

id
string<uuid>
required

Id of the job

Example:

"45463597-20b7-4af7-b3b3-f5fb778203ab"

request_id
string
required

Debug id

Example:

"G-45463597"

version
integer
required

API version

Example:

2

status
enum<string>
required

"queued": the job has been queued. "processing": the job is being processed. "done": the job has been processed and the result is available. "error": an error occurred during the job's processing.

Available options:
queued,
processing,
done,
error
created_at
string<date-time>
required

Creation date

Example:

"2023-12-28T09:04:17.210Z"

post_session_metadata
object
required

For debugging purposes, send data that could help to identify issues

kind
enum<string>
default:live
required
Available options:
live
Example:

"live"

completed_at
string<date-time> | null

Completion date when status is "done" or "error"

Example:

"2023-12-28T09:04:37.210Z"

custom_metadata
object

Custom metadata given in the initial request

Example:
error_code
integer | null

HTTP status code of the error if status is "error"

Required range: 400 <= x <= 599
Example:

500

file
object | null

The file data you uploaded. Can be null if status is "error"

request_params
object | null

Parameters used for this live transcription. Can be null if status is "error"

result
object | null

Live transcription's result when status is "done"